package org.jdtaus.core.container.mojo;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class VerifyModelMojoBundle{ 

public static String getFinalModifierMismatchText(final Locale locale) {
    return getMessage("finalModifierMismatch", locale);
}

public static MessageFormat getFinalModifierMismatchMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("finalModifierMismatch", locale), locale);
}

public static String getMissingImplementationText(final Locale locale) {
    return getMessage("missingImplementation", locale);
}

public static MessageFormat getMissingImplementationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("missingImplementation", locale), locale);
}

public static String getMissingImplementedSpecificationText(final Locale locale) {
    return getMessage("missingImplementedSpecification", locale);
}

public static MessageFormat getMissingImplementedSpecificationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("missingImplementedSpecification", locale), locale);
}

public static String getMissingInterfaceText(final Locale locale) {
    return getMessage("missingInterface", locale);
}

public static MessageFormat getMissingInterfaceMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("missingInterface", locale), locale);
}

public static String getClassNotFoundText(final Locale locale) {
    return getMessage("classNotFound", locale);
}

public static MessageFormat getClassNotFoundMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("classNotFound", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.container.mojo.VerifyModelMojo", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
